These are chat archives for composer/composer

8th
Feb 2018
Diego Gullo
@bizmate
Feb 08 2018 14:30
@jeud it is all pretty much explained here. https://getcomposer.org/doc/02-libraries.md#publishing-to-a-vcs
@jeud type package is if you want to import the project without relying on a composer.json existing on the package source. In general it is best to have a composer.json on that repository if you control it and then just use vcs as a type
Can anyone help with this conflict issue? composer/composer#7089 I have no understanding of what it means. Ie why is it complaining about a root package or something?
Diego Gullo
@bizmate
Feb 08 2018 15:13
@manju16832003 remove the double require